'use client';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Icon } from '@gitbook/icons';
import React from 'react';
import classNames from 'classnames';
import { useContentKitClientContext } from './context';
export function ElementButton(props) {
    const { element, icon, trailingIcon } = props;
    const clientContext = useContentKitClientContext();
    const [loading, setLoading] = React.useState(false);
    // TODO:
    // - confirm dialog
    return (_jsx("button", { title: element.tooltip, className: classNames('contentkit-button', `contentkit-button-style-${element.style ?? 'secondary'}`), onClick: (event) => {
            if (element.disabled || loading) {
                return;
            }
            event.stopPropagation();
            setLoading(true);
            clientContext.dispatchAction(element.onPress).finally(() => {
                setLoading(false);
            });
        }, children: loading ? (_jsx(Icon, { icon: "spinner", className: "contentkit-button-loading" })) : (_jsxs(_Fragment, { children: [icon, element.label ? (_jsx("span", { className: "contentkit-button-label", children: element.label })) : null, trailingIcon] })) }));
}
