'use client';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import classNames from 'classnames';
import { useContentKitClientContext } from './context';
/**
 * Interactive card element.
 */
export function ElementCard(props) {
    const { element, children, icon, hint, buttons } = props;
    const clientContext = useContentKitClientContext();
    return (_jsxs("div", { className: classNames('contentkit-card', element.onPress ? 'contentkit-card-pressable' : null), onClick: () => {
            if (element.onPress) {
                clientContext.dispatchAction(element.onPress);
            }
        }, children: [element.title ? (_jsxs("div", { className: classNames('contentkit-card-header'), children: [icon ? _jsx("div", { className: classNames('contentkit-card-icon'), children: icon }) : null, _jsxs("div", { className: classNames('contentkit-card-header-content'), children: [_jsx("div", { className: classNames('contentkit-card-title'), children: element.title }), hint ? (_jsx("div", { className: classNames('contentkit-card-hint'), children: hint })) : null] }), buttons && buttons.length > 0 ? (_jsx("div", { className: classNames('contentkit-card-buttons'), children: buttons })) : null] })) : null, children ? _jsx("div", { className: classNames('contentkit-card-body'), children: children }) : null] }));
}
